=== debian/changelog ===
openvas-manager (7.0.2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  [Javier Fernández-Sanguino Peña]
  * Merge previous changelog entries from the package that were in
    experimental some years ago (Closes: #873967)

  [ SZ Lin (林上智) ]
  * d/control: Bump standards version to 4.1.2
  * d/control: Bump version of "debhelper" to 10
  * d/compat: Bump compat version to 10
  * d/rules: Remove unnecessary parameter in dh
  * Import patch from upstream to fix scheduled task failing issue
    (Closes: #868123)

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 01 Dec 2017 14:30:20 +0800

openvas-manager (7.0.2-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 29 Jun 2017 17:10:43 +0800

openvas-manager (7.0.1-3) unstable; urgency=medium

  * Fix FTBFS issue (Closes: #865291)

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Jun 2017 23:35:04 +0800

openvas-manager (7.0.1-2) unstable; urgency=medium

  * Move package from experimental to sid archive
  * Bump standards version to 4.0.0 

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Jun 2017 11:28:21 +0800

openvas-manager (7.0.1-1~exp1) experimental; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 22 Mar 2017 20:17:38 +0800

openvas-manager (7.0.0-1) UNRELEASED; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 14 Nov 2016 14:44:57 +0800

openvas-manager (2.0.3-5) experimental; urgency=low

  * debian/openvas-manager.postinst: Use -n instead of -e in echo calls (typo)
  * debian/openvas-manager.{postinst,init}: Create the Database if it does not
     exist in the init.d script instead of in the postinst script.
  * debian/openvas-manager.preinst: Run openvasmd --migrate when upgrading
     the package.
  * debian/rules: change DATADIR to /usr/share

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 13 May 2011 21:14:59 +0200

openvas-manager (2.0.3-4) experimental; urgency=low

  * debian/control: Fix typos and adjust name for gsad and gsd
  * debian/openvas-manager.postrm: 
      - Fix the location of the logs
      - Fix bashishms

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 04 May 2011 20:28:17 +0200

openvas-manager (2.0.3-3) experimental; urgency=low

  * debian/rules: set CMAKE_INSTALL_PREFIX to an empty variable and define
   the other variables with absolute (not relative) paths
  * debian/openvas-manager.postinst: Only create the user if the 
    openvas-mkcert-client binary is available (provided by OpenVAS scanner)
  * debian/openvas-manager.postinst: Remove the kludge to cd into the root
    directory as this is no longer needed.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 01 May 2011 09:23:50 +0200

openvas-manager (2.0.3-2) experimental; urgency=low

  * debian/openvas-manager.postinst: Change to the root directory before
   rebuilding the database since the location defined in the openvas-manager
   is, for some, reason, relative.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 01 May 2011 08:58:49 +0200

openvas-manager (2.0.3-1) experimental; urgency=low

  * Initial release, heavily based on the openvas-scanner package.

  * Patches for upstream:
    - 10_cmake_mandir.dpatch: Define a MANDIR variable to use in the
      installation of manpages
    - 20_avoid_absolute_files.dpatch: Make location of report_formats relative
      to the installation directory

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 30 Apr 2011 11:53:03 +0200
