=== debian/control ===
Source: openvas-manager
Section: admin
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 10),
               cmake (>= 2.8),
               doxygen, 
               libopenvas-dev (>= 9),
               libsqlite3-dev, 
               pkg-config, 
               xmltoman, 
               flawfinder,
               gnutls-bin (>= 3.2.15)
Standards-Version: 4.1.2
Homepage: http://www.openvas.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-security/openvas-manager.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-security/openvas-manager.git

Package: openvas-manager-common
Section: net
Architecture: all
Recommends: openvas-manager
Depends: ${misc:Depends}, gnutls-bin (>= 3.2.15)
Multi-Arch: foreign
Suggests: python, gnupg, wget, xsltproc
Description: architecture independent files for openvas-manager
 The OpenVAS-Manager is a layer between OpenVAS-Scanner and various client
 applications such as OpenVAS-Client or Greenbone Security Assistant.  Among
 other features, it adds server-side storage of scan results and it makes it
 unnecessary for scan clients to keep connection until a scan finishes.
 .
 This package contains the common openvas-manager
 files shared by all architectures.

Package: openvas-manager
Section: net
Architecture: any
Depends: lsb-base (>= 3.0-6),
         doc-base,
         openvas-manager-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: openvas-administrator
Replaces: openvas-administrator, libopenvas6
Description: Manager Module of OpenVAS
 The OpenVAS-Manager is a layer between OpenVAS-Scanner and various client
 applications such as OpenVAS-Client or Greenbone Security Assistant.  Among
 other features, it adds server-side storage of scan results and it makes it
 unnecessary for scan clients to keep connection until a scan finishes.
