=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var -DCMAKE_BUILD_TYPE=release 

override_dh_install-arch:
	dh_install --list-missing

override_dh_install-indep:
	dh_install --list-missing
	find debian/openvas-manager-common/usr/share/openvas/openvasmd -name alert -o -name generate | \
		xargs --no-run-if-empty chmod 755

override_dh_installdebconf:
	find debian -name "openvas-lsc-rpm-creator.sh" | xargs rm -f
	dh_installdebconf

override_dh_auto_test:
	# disabled because make check fails

override_dh_installinit:
	dh_installinit --no-start
