=== debian/changelog ===
openvas-manager (7.0.3-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * Update debian/watch and debian/control with new upstream github repository
  * Import new usptream release
  * Update date in debian/copyright
  * Update minimal required version of libopenvas-dev
  * Add texlive-latex-extra in Recommends (see
    https://bugs.kali.org/view.php?id=4839)

  [ Raphaël Hertzog ]
  * Drop the patch, it has been merged upstream.
  * Bump Standards-Version to 4.1.5.

 -- Sophie Brun <sophie@freexian.com>  Fri, 06 Jul 2018 14:57:27 +0200

openvas-manager (7.0.2-4) unstable; urgency=medium

  * Team upload.
  * Revert "Replace insecure URI to secure URI in d/watch"
  * Clean up rules file
    - use dh_missing --fail-missing instead of dh_install's option
    - move some commands to their logical place (fix permissions in
      override_dh_fixperms, dropping installed files right after their
      installation)
  * Add usual values to openvas-manager.init's Default-Start field
  * Drop debian/.git-dpm, we don't use that tool
  * Install upstream's README properly
  * Drop debian/openvas-manager.manpages since manual pages are installed by
    cmake
  * Install files from /usr/share/man/man1/ in openvas-manager-common too
  * Automatically setup the required certificate files in the postinst

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 06 Apr 2018 00:04:52 +0200

openvas-manager (7.0.2-3) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Update team maintainer address to Debian Security Tools

  [ Helmut Grohne ]
  * Drop unused Build-Depends: flawfinder. (Closes: #893918)

  [ SZ Lin (林上智) ]
  * d/control: Bump standards version to 4.1.3
  * d/control: Bump version of "debhelper" to 11
  * d/compat: Bump compat version to 11
  * d/watch: Replace insecure URI to secure URI
  * d/copyright: Replace insecure URI to secure URI

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 04 Apr 2018 21:51:26 +0800
