=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: openvas-manager
 Section: admin
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                cmake (>= 2.8),
-               doxygen, 
-               libopenvas-dev (>= 9),
-               libsqlite3-dev, 
-               pkg-config, 
-               xmltoman, 
-               flawfinder,
+               doxygen,
+               libopenvas-dev (>= 9.0.2),
+               libsqlite3-dev,
+               pkg-config,
+               xmltoman,
                gnutls-bin (>= 3.2.15)
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Homepage: http://www.openvas.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/openvas-manager.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-security/openvas-manager.git
+Vcs-Git: https://salsa.debian.org/pkg-security-team/openvas-manager.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/openvas-manager
 
 Package: openvas-manager-common
 Section: net
 Architecture: all
-Recommends: openvas-manager
+Recommends: texlive-latex-extra
 Depends: ${misc:Depends}, gnutls-bin (>= 3.2.15)
 Multi-Arch: foreign
 Suggests: python, gnupg, wget, xsltproc
