=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var -DCMAKE_BUILD_TYPE=release

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/share/openvas/openvas-lsc-rpm-creator.sh

override_dh_auto_test:
	# disabled because make check fails

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-indep:
	find debian/openvas-manager-common/usr/share/openvas/openvasmd -name alert -o -name generate | \
		xargs --no-run-if-empty chmod 755
	dh_fixperms
