=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%openvas-manager-$1.tar.gz%" \
 https://github.com/greenbone/gvm/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
